<f:comment><!--BEGIN RSS Feed Link--></f:comment>
{namespace n=GeorgRinger\News\ViewHelpers}
<f:if condition="{feedUrl}">
    <n:headerData>
        <link rel="alternate" type="application/rss+xml" title="uulmhack News RSS" href="{feedUrl}" />
    </n:headerData>
</f:if>
<f:comment><!--END RSS Feed Link--></f:comment>
<nav class="{f:if(condition: '{current} == homepage', then: 'homepage')}">
    <f:link.page class="sitetitle {f:if(condition: '{current} == homepage', then: 'hidden')}" pageUid="1">uulmhack</f:link.page>
    <div class="menu-toggle">
        <span class="menu-icon"></span>
    </div>
    <ul>
        <f:for each="{mainnavigation}" as="mainnavigationItem">
            <li
                class="{f:if(condition: mainnavigationItem.active, then:'active')}"
            >
                <a
                    href="{mainnavigationItem.link}"
                    target="{mainnavigationItem.target}"
                    title="{mainnavigationItem.title}"
                >
                    {mainnavigationItem.title}
                </a>
                <f:if condition="{mainnavigationItem.children}">
                    <ul>
                        <f:for each="{mainnavigationItem.children}" as="child">
                            <li
                                class="{f:if(condition: child.active, then:'active')}"
                            >
                                <a
                                    href="{child.link}"
                                    target="{child.target}"
                                    title="{child.title}"
                                >
                                    {child.title}
                                </a>
                            </li>
                        </f:for>
                    </ul>
                </f:if>
            </li>
        </f:for>
    </ul>
</nav>
<f:render section="Main" />
<footer>
    <f:comment>Social Media Links</f:comment>
    <p id="social-media">
        <f:link.external uri="https://www.instagram.com/uulmhack">
            <f:image src="EXT:uulmhack_web/Resources/Public/Icons/SocialMedia/instagram.svg" alt="Instagram" width="35px"/>
        </f:link.external>
        <f:link.external uri="https://twitter.com/uulmhack">
            <f:image src="EXT:uulmhack_web/Resources/Public/Icons/SocialMedia/twitter.svg" alt="Twitter" width="35px"/>
        </f:link.external>
        <f:link.external uri="https://t.me/uulmhack">
            <f:image src="EXT:uulmhack_web/Resources/Public/Icons/SocialMedia/telegram.svg" alt="Telegram" width="35px"/>
        </f:link.external>
        <f:link.external uri="https://gitlab.com/uulmhack">
            <f:image src="EXT:uulmhack_web/Resources/Public/Icons/SocialMedia/gitlab.svg" alt="GitLab" width="35px"/>
        </f:link.external>
    </p>
    <f:comment>Language</f:comment>
    <f:if condition="{ settings.language.enable }">
        <p>
            <f:render partial="Navigation/Language" arguments="{_all}" />
        </p>
    </f:if>
    <f:comment>Footer</f:comment>
    <f:if condition="{ settings.footer.enable }">
        <p>
            <f:render partial="Navigation/Footer" arguments="{_all}" />
        </p>
    </f:if>
    <!-- Credits -->
    <p>
        <f:format.date date="now" format="Y" /> © uulmhack Orga-Team
    </p>
</footer>
